Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.buybeans.item
Class JellyBeanImpl

    java.lang.Object
      |
      +--theory.smart.foundation.EntityImpl
            |
            +--theory.smart.foundation.ConfigurableEntityImpl
                  |
                  +--theory.smart.ebusiness.item.ItemImpl
                        |
                        +--examples.buybeans.item.BasicBeanImpl
                              |
                              +--examples.buybeans.item.JellyBeanImpl

public class JellyBeanImpl
extends BasicBeanImpl

This is an item that has the special characteristics of a Jelly Bean.

     Primary Key = examples.buybeans.item.JellyBeanPk

See Also:
  `JellyBean`, `JellyBeanHome`, `JellyBeanValue`, Serialized Form

Field Summary
`boolean` | `gourmet` gourmet [JellyBean] <*>------> [`boolean`]
`boolean` | `sugarfree` sugarfree [JellyBean] <*>------> [`boolean`]

Fields inherited from class examples.buybeans.item.BasicBeanImpl
`customerRating, fullDescription`

Fields inherited from class theory.smart.ebusiness.item.ItemImpl
`description, identifier, price, qualities, supplier, version`

Fields inherited from class theory.smart.foundation.EntityImpl
`ctx, isDirty, isLoaded`

Constructor Summary
`JellyBeanImpl()`

Method Summary
`void` | `ejbActivate()` ejbActivate method.
`JellyBeanPk` | `ejbCreate(JellyBeanPk jellyBeanPk)`
`protected void` | `ejbCreateInitVars(JellyBeanPk jellyBeanPk)`
`java.util.Enumeration` | `ejbFindAll()`
`JellyBeanPk` | `ejbFindByPrimaryKey(JellyBeanPk pk)`
`void` | `ejbLoad()` ejbLoad method.
`void` | `ejbPassivate()` ejbPassivate method.
`void` | `ejbPostCreate(JellyBeanPk jellyBeanPk)`
`void` | `ejbRemove()` ejbRemove method.
`void` | `ejbStore()` ejbStore method.
`boolean` | `getGourmet()` Get the value of gourmet
`JellyBeanValue` | `getJellyBeanByValue()` Get all of JellyBean's attributes.
`boolean` | `getSugarfree()` Get the value of sugarfree
`void` | `setEntityContext(EntityContext ctx)` setEntityContext method.
`void` | `setGourmet(boolean gourmet)` Set the value of gourmet
`void` | `setJellyBeanByValue(JellyBeanValue value)` Set all of JellyBean's attributes to the passed in value.
`void` | `setSugarfree(boolean sugarfree)` Set the value of sugarfree
`void` | `unsetEntityContext()` unsetEntityContext method.

Methods inherited from class examples.buybeans.item.BasicBeanImpl
`ejbCreate, ejbCreateInitVars, ejbFindByPrimaryKey, ejbPostCreate, getBasicBeanByValue, getCustomerRating, getFullDescription, setBasicBeanByValue, setCustomerRating, setFullDescription`

Methods inherited from class theory.smart.ebusiness.item.ItemImpl
`addFirstQuality, addLastQuality, addQualities, addQualities, addQuality, addQuality, calculatePrice, calculatePrice, containsQuality, ejbCreate, ejbCreateInitVars, ejbFindByPrimaryKey, ejbPostCreate, getDefaultItemPriceCalculationPolicy, getDescription, getFirstQuality, getIdentifier, getItemByValue, getLastQuality, getNumberOfQualities, getPrice, getQualities, getQualities, getQuality, getSupplier, getVersion, indexOfQuality, isQualitiesEmtpy, lastIndexOfQuality, removeAllQualities, removeFirstQuality, removeLastQuality, removeQuality, removeQuality, setDefaultItemPriceCalculationPolicy, setDescription, setItemByValue, setPrice, setQuality`

Methods inherited from class theory.smart.foundation.ConfigurableEntityImpl
`addBusinessPolicy, addProperty, ejbCreate, ejbPostCreate, getBusinessPolicy, getProperty, removeBusinessPolicy, removeProperty, setSuccessorAtClassLevel, setSuccessorAtInstanceLevel`

Methods inherited from class theory.smart.foundation.EntityImpl
`ejbCreateInitVars, getEntityContext, isModified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### gourmet

    public boolean gourmet

                        gourmet
       [JellyBean] <*>------> [boolean]

### sugarfree

    public boolean sugarfree

                        sugarfree
       [JellyBean] <*>------> [boolean]

Constructor Detail

### JellyBeanImpl

    public JellyBeanImpl()
                  throws CreateException

Method Detail

### getJellyBeanByValue

    public JellyBeanValue getJellyBeanByValue()
                                       throws java.rmi.RemoteException

  Get all of JellyBean's attributes.
  Returns:
    JellyBeanValue the JellyBean value object

### setJellyBeanByValue

    public void setJellyBeanByValue(JellyBeanValue value)
                             throws java.rmi.RemoteException

  Set all of JellyBean's attributes to the passed in value. Note: Primary key attributes are not set.
  Parameters:
    `JellyBeanValue` - the JellyBean value object

### ejbCreate

    public JellyBeanPk ejbCreate(JellyBeanPk jellyBeanPk)
                          throws CreateException,
                                 java.rmi.RemoteException

### ejbCreateInitVars

    protected void ejbCreateInitVars(JellyBeanPk jellyBeanPk)
                              throws CreateException,
                                     java.rmi.RemoteException

### ejbPostCreate

    public void ejbPostCreate(JellyBeanPk jellyBeanPk)
                       throws CreateException,
                              java.rmi.RemoteException

### ejbLoad

    public void ejbLoad()
                 throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbLoad method.
  Overrides:
    ejbLoad in class BasicBeanImpl

### ejbStore

    public void ejbStore()
                  throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbStore method.
  Overrides:
    ejbStore in class BasicBeanImpl

### ejbRemove

    public void ejbRemove()
                   throws java.rmi.RemoteException,
                          RemoveException

  Description copied from class: EntityImpl
  ejbRemove method.
  Overrides:
    ejbRemove in class BasicBeanImpl

### ejbActivate

    public void ejbActivate()
                     throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbActivate method.
  Overrides:
    ejbActivate in class BasicBeanImpl

### ejbPassivate

    public void ejbPassivate()
                      throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbPassivate method.
  Overrides:
    ejbPassivate in class BasicBeanImpl

### setEntityContext

    public void setEntityContext(EntityContext ctx)
                          throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  setEntityContext method.
  Overrides:
    setEntityContext in class BasicBeanImpl

### unsetEntityContext

    public void unsetEntityContext()
                            throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  unsetEntityContext method.
  Overrides:
    unsetEntityContext in class BasicBeanImpl

### ejbFindByPrimaryKey

    public JellyBeanPk ejbFindByPrimaryKey(JellyBeanPk pk)
                                    throws FinderException,
                                           java.rmi.RemoteException

### ejbFindAll

    public java.util.Enumeration ejbFindAll()
                                     throws FinderException,
                                            java.rmi.RemoteException

  Overrides:
    ejbFindAll in class BasicBeanImpl

### getGourmet

    public boolean getGourmet()
                       throws java.rmi.RemoteException

  Get the value of gourmet
  Returns:
    gourmet.

### setGourmet

    public void setGourmet(boolean gourmet)
                    throws java.rmi.RemoteException

  Set the value of gourmet
  Parameters:
    `gourmet` - gourmet to be added

### getSugarfree

    public boolean getSugarfree()
                         throws java.rmi.RemoteException

  Get the value of sugarfree
  Returns:
    sugarfree.

### setSugarfree

    public void setSugarfree(boolean sugarfree)
                      throws java.rmi.RemoteException

  Set the value of sugarfree
  Parameters:
    `sugarfree` - sugarfree to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.